# Interface GridSpatialRepresentation

All Superinterfaces:
  `SpatialRepresentation`

All Known Subinterfaces:
  `Georectified, Georeferenceable`

All Known Implementing Classes:
  `DefaultGeorectified, DefaultGeoreferenceable, DefaultGridSpatialRepresentation`

@UML(identifier="MD_GridSpatialRepresentation", specification=ISO_19115) public interface GridSpatialRepresentation extends SpatialRepresentation
Basic information required to uniquely identify a resource or resources.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<? extends Dimension>`
  `getAxisDimensionProperties()`
  Information about spatial-temporal axis properties.
  `CellGeometry`
  `getCellGeometry()`
  Identification of grid data as point or cell.
  `Integer`
  `getNumberOfDimensions()`
  Number of independent spatial-temporal axes.
  `boolean`
  `isTransformationParameterAvailable()`
  Indication of whether or not parameters for transformation exists.

- ## Method Details

  - ### getNumberOfDimensions

    @UML(identifier="numberOfDimensions", obligation=MANDATORY, specification=ISO_19115) Integer getNumberOfDimensions()
    Number of independent spatial-temporal axes.
    Returns:
      Number of independent spatial-temporal axes.

  - ### getAxisDimensionProperties

    @UML(identifier="axisDimensionProperties", obligation=MANDATORY, specification=ISO_19115) List<? extends Dimension> getAxisDimensionProperties()
    Information about spatial-temporal axis properties.
    Returns:
      Information about spatial-temporal axis properties.

  - ### getCellGeometry

    @UML(identifier="cellGeometry", obligation=MANDATORY, specification=ISO_19115) CellGeometry getCellGeometry()
    Identification of grid data as point or cell.
    Returns:
      Identification of grid data as point or cell.

  - ### isTransformationParameterAvailable

    @UML(identifier="transformationParameterAvailability", obligation=MANDATORY, specification=ISO_19115) boolean isTransformationParameterAvailable()
    Indication of whether or not parameters for transformation exists.
    Returns:
      Whether or not parameters for transformation exists.